﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v15.2, Version=15.2.20152.2035, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v15.2, Version=15.2.20152.2035, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v15.2, Version=15.2.20152.2035, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.DataSourceControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Sample</title>
    <script src="https://code.jquery.com/jquery-2.1.4.min.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <ig:WebHierarchicalDataGrid ID="whdg" runat="server" DataSourceID="WebHierarchicalDataSource1"
            AutoGenerateColumns="false" AutoGenerateBands="false" InitialDataBindDepth="1"
            DataKeyFields="EmployeeID">
            <ExpandCollapseAnimation SlideOpenDirection="Auto" SlideOpenDuration="300" SlideCloseDirection="Auto"
                SlideCloseDuration="300" />
            <Columns>
                <ig:UnboundCheckBoxField Key="Check" HeaderChecked="False" Width="20px" />
                <ig:BoundDataField DataFieldName="EmployeeID" Key="EmployeeID" Header-Text="Employee Id" Width="100px" />
                <ig:BoundDataField DataFieldName="LastName" Key="LastName" Header-Text="Last Name"
                    Width="125px" />
                <ig:BoundDataField DataFieldName="FirstName" Key="FirstName" Header-Text="First Name"
                    Width="125px" />
                <ig:BoundDataField DataFieldName="Title" Key="Title" Header-Text="Title"
                    Width="150px" />
            </Columns>
            <Bands>
                <ig:Band DataMember="SQLDataSource2_Orders" Key="Orders" AutoGenerateColumns="false"
                    DataKeyFields="OrderID">
                    <Columns>
                        <ig:UnboundCheckBoxField Key="Check" HeaderChecked="False" />
                        <ig:BoundDataField DataFieldName="OrderID" Key="OrderID" Header-Text="Order Id" />
                        <ig:BoundDataField DataFieldName="CustomerID" Key="CustomerID" Header-Text="Customer Id"
                            Width="95px" />
                        <ig:BoundDataField DataFieldName="OrderDate" Key="OrderDate" Header-Text="Order Date"
                            DataFormatString="{0:MM/dd/yyyy}" Width="90px" />
                        <ig:BoundDataField DataFieldName="CompanyName" Key="CompanyName" Header-Text="Supplier Name"
                            Width="110px" />
                        <ig:BoundDataField DataFieldName="Phone" Key="Phone" Header-Text="Supplier Phone"
                            Width="110px" />
                    </Columns>
                    <Behaviors>
                        <ig:EditingCore>
                            <Behaviors>
                                <ig:CellEditing></ig:CellEditing>
                            </Behaviors>
                        </ig:EditingCore>
                    </Behaviors>
                    <Bands>
                        <ig:Band DataMember="SQLDataSource3_OrderDetails" Key="Details" DataKeyFields="OrderID,ProductID"
                            AutoGenerateColumns="false">
                            <Columns>
                                <ig:BoundDataField DataFieldName="ProductName" Key="ProductName" Header-Text="Product Name" />
                                <ig:BoundDataField DataFieldName="QuantityPerUnit" Key="QuantityPerUnit" Header-Text="Quantity Per Unit" />
                                <ig:BoundDataField DataFieldName="UnitPrice" Key="UnitPrice" Header-Text="Unit Price"
                                    DataFormatString="{0:c2}" Width="100px" />
                                <ig:BoundDataField DataFieldName="Quantity" Key="Quantity" Header-Text="Quantity" Width="80px" />
                                <ig:BoundDataField DataFieldName="Discount" Key="Discount" Header-Text="Discount" DataFormatString="{0:#.##%}" Width="70px" />
                            </Columns>
                        </ig:Band>
                    </Bands>
                </ig:Band>
                <ig:Band DataMember="SQLDataSource4_Employees" Key="EmployeesRegions" DataKeyFields="EmployeeID"
                    AutoGenerateColumns="false">
                    <Columns>
                        <ig:BoundDataField DataFieldName="City" Key="City" Header-Text="City" />
                        <ig:BoundDataField DataFieldName="Region" Key="Region" Header-Text="Region" Width="120px" />
                        <ig:BoundDataField DataFieldName="PostalCode" Key="PostalCode" Header-Text="Postal Code"
                            Width="120px" />
                        <ig:BoundDataField DataFieldName="Country" Key="Country" Header-Text="Country" Width="120px" />
                    </Columns>
                </ig:Band>                
            </Bands>
            <Behaviors>
                <ig:EditingCore>
                    <Behaviors>
                        <ig:CellEditing></ig:CellEditing>
                    </Behaviors>
                </ig:EditingCore>
            </Behaviors>
        </ig:WebHierarchicalDataGrid>
        <ig:WebHierarchicalDataSource ID="WebHierarchicalDataSource1" runat="server">
            <DataRelations>
                <ig:DataRelation ParentColumns="EmployeeID" ParentDataViewID="SQLDataSource1_Employees"
                    ChildColumns="EmployeeID" ChildDataViewID="SQLDataSource2_Orders" />
                <ig:DataRelation ParentColumns="OrderID" ParentDataViewID="SQLDataSource2_Orders"
                    ChildColumns="OrderID" ChildDataViewID="SQLDataSource3_OrderDetails" />
                <ig:DataRelation ParentColumns="EmployeeID" ParentDataViewID="SQLDataSource1_Employees"
                    ChildColumns="EmployeeID" ChildDataViewID="SQLDataSource4_Employees" />
            </DataRelations>
            <DataViews>
                <ig:DataView ID="SQLDataSource1_Employees" DataSourceID="SQLDataSource1" />
                <ig:DataView ID="SQLDataSource2_Orders" DataSourceID="SQLDataSource2" />
                <ig:DataView ID="SQLDataSource3_OrderDetails" DataSourceID="SQLDataSource3" />
                <ig:DataView ID="SQLDataSource4_Employees" DataSourceID="SQLDataSource4" />
            </DataViews>
        </ig:WebHierarchicalDataSource>
        <asp:SqlDataSource ID="SQLDataSource1" runat="server"
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>"
            SelectCommand="SELECT EmployeeID, LastName, FirstName, Title FROM Employees"></asp:SqlDataSource>
        <asp:SqlDataSource ID="SQLDataSource2" runat="server"
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>"
            SelectCommand="SELECT Orders.OrderID, Orders.CustomerID, Orders.OrderDate, Shippers.CompanyName, Orders.EmployeeID, Shippers.Phone FROM Orders INNER JOIN Shippers ON Orders.ShipVia = Shippers.ShipperID"></asp:SqlDataSource>
        <asp:SqlDataSource ID="SQLDataSource3" runat="server"
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>"
            SelectCommand="SELECT Products.ProductID, Products.ProductName, [Order Details].UnitPrice, [Order Details].Quantity, [Order Details].Discount, Products.QuantityPerUnit, [Order Details].OrderID FROM (Products INNER JOIN [Order Details] ON Products.ProductID = [Order Details].ProductID)"></asp:SqlDataSource>
        <asp:SqlDataSource ID="SQLDataSource4" runat="server"
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>"
            SelectCommand="SELECT City, Region, PostalCode, Country, EmployeeID FROM Employees"></asp:SqlDataSource>
        <asp:Button runat="server" Text="Get Child Rows" Id="getChildGridRows" OnClick="getChildGridRows_Click" />
        <asp:Label runat="server" BorderColor="Black" ID="childRows" />
    </form>
</body>
</html>
